Scilab Function
Last update : 09/10/2006

struct - creer une struct

### Calling Sequence

  `st=struct(field1,value1,field2,value2, ...)`

### Parameters

- `field1, field2, ...`: noms des champs (chaines de caracteres)
- `value1, value2, ...`: les valeurs des champs (acceptent tous types de données (double, matrice de doubles,des cells, char, ...)

### Description

La fonction `struc`t retourne une struct avec des noms de champs `field1`, `field2`, .., et dont les valeurs respectives sont `value` `1`, `value2`, ...

### Examples

    //creer une struct: date les champs sont: 'jour' (valeur: 25), 'mois' (valeur: 'DEC'), 'annee' (valeur: 2006)
    date=struct('jour',25,'mois','DEC','annee',2006)
    // changer la valeur des champs
    date.jour=19;
    date.mois='AOU';
    date.annee=1973;
    // ajouter un champ 'semaine'
    date.semaine=32

### See Also

`cell`,